Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.JoinSplit Class Reference
Inheritance diagram for FoxitPDFSDKPython2.JoinSplit:

## Public Member Functions
def | JoinSplit (other)
| Constructor, with another join split object. More...
def | Activate ()
| Activate join split editing. More...
def | Deactivate ()
| Deactivate join split editing. More...
def | ExitJoinEditing ()
| Exit join split editing. More...
def | GetEnableStatus (type)
| Get join split editing operation state. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | JoinBoxes ()
| Call this function to join text. More...
def | LinkBoxes ()
| Call this function to link text. More...
def | OnLButtonDown (page_index, point)
| Call this function when left mouse button is down. More...
def | OnLButtonUp (page_index, point)
| Call this function when left mouse button is up. More...
def | OnMouseMove (page_index, point)
| Call this function when mouse moves. More...
def | Render (page_index_array, renderer)
| Draw the currently join split operation state on the rendering. More...
def | SelectNone ()
| Call this function to clear all selected text. More...
def | SplitBoxes ()
| Call this function to split text. More...
def | UnlinkBoxes ()
| Call this function to unlink text. More...

## Static Public Attributes
| e_JoinSplitOperationTypeClose = _fsdk.JoinSplit_e_JoinSplitOperationTypeClose
| Join spilt operation type: Close.
| e_JoinSplitOperationTypeJoin = _fsdk.JoinSplit_e_JoinSplitOperationTypeJoin
| Join spilt operation type: Join.
| e_JoinSplitOperationTypeLink = _fsdk.JoinSplit_e_JoinSplitOperationTypeLink
| Join spilt operation type: Link.
| e_JoinSplitOperationTypeSelectNone = _fsdk.JoinSplit_e_JoinSplitOperationTypeSelectNone
| Join spilt operation type: SelectNone.
| e_JoinSplitOperationTypeSpilt = _fsdk.JoinSplit_e_JoinSplitOperationTypeSpilt
| Join spilt operation type: Spilt.
| e_JoinSplitOperationTypeUnlink = _fsdk.JoinSplit_e_JoinSplitOperationTypeUnlink
| Join spilt operation type: Unlink.

## Detailed Description

This class represents a join split operation. Before use join split feature, ensure the function FoxitPDFSDKPython2.JoinSplit.Activate has been called successfully. Please call the function FoxitPDFSDKPython2.JoinSplit.Deactivate to deactivate when no need to use any join split function.

## Constructor & Destructor Documentation

## ◆ JoinSplit()

def FoxitPDFSDKPython2.JoinSplit.JoinSplit | ( |  | other | ) |

Constructor, with another join split object.

Parameters

  [in] | other | Another join split object.

## Member Function Documentation

## ◆ Activate()

def FoxitPDFSDKPython2.JoinSplit.Activate | ( |  | ) |

Activate join split editing.

Returns
  true means success, while false means failure.

## ◆ Deactivate()

def FoxitPDFSDKPython2.JoinSplit.Deactivate | ( |  | ) |

Deactivate join split editing.

Returns
  true means success, while false means failure.

## ◆ ExitJoinEditing()

def FoxitPDFSDKPython2.JoinSplit.ExitJoinEditing | ( |  | ) |

Exit join split editing.

Returns
  None.

## ◆ GetEnableStatus()

def FoxitPDFSDKPython2.JoinSplit.GetEnableStatus | ( |  | type | ) |

Get join split editing operation state.

Returns
  true means enabled, while false means not.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.JoinSplit.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ JoinBoxes()

def FoxitPDFSDKPython2.JoinSplit.JoinBoxes | ( |  | ) |

Call this function to join text.

Returns
  None.

## ◆ LinkBoxes()

def FoxitPDFSDKPython2.JoinSplit.LinkBoxes | ( |  | ) |

Call this function to link text.

Returns
  None.

## ◆ OnLButtonDown()

def FoxitPDFSDKPython2.JoinSplit.OnLButtonDown | ( |  | page_index,
|  |  | point
| ) |  |

Call this function when left mouse button is down.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where left mouse button is down in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ OnLButtonUp()

def FoxitPDFSDKPython2.JoinSplit.OnLButtonUp | ( |  | page_index,
|  |  | point
| ) |  |

Call this function when left mouse button is up.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where left mouse button is up in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ OnMouseMove()

def FoxitPDFSDKPython2.JoinSplit.OnMouseMove | ( |  | page_index,
|  |  | point
| ) |  |

Call this function when mouse moves.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where mouse moves in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ Render()

def FoxitPDFSDKPython2.JoinSplit.Render | ( |  | page_index_array,
|  |  | renderer
| ) |  |

Draw the currently join split operation state on the rendering.

The matrix used in the rendering process is returned by FoxitPDFSDKPython2.ParagraphEditingProviderCallback.GetRenderMatrix .

Parameters

  [in] | page_index_array | The page index array to render.
  [in] | renderer | A valid renderer object for rendering.

Returns
  true means success, while false means failure.

## ◆ SelectNone()

def FoxitPDFSDKPython2.JoinSplit.SelectNone | ( |  | ) |

Call this function to clear all selected text.

Returns
  None.

## ◆ SplitBoxes()

def FoxitPDFSDKPython2.JoinSplit.SplitBoxes | ( |  | ) |

Call this function to split text.

Returns
  None.

## ◆ UnlinkBoxes()

def FoxitPDFSDKPython2.JoinSplit.UnlinkBoxes | ( |  | ) |

Call this function to unlink text.

Returns
  None.